import 'finbox_bureau_plugin_platform_interface.dart';
import 'package:flutter/services.dart';


class FinBoxBureauPlugin {

  static final MethodChannel platform = FinBoxBureauPluginPlatform.instance.getMethodChannel();

  Future<String?> getPlatformVersion() {
    return FinBoxBureauPluginPlatform.instance.getPlatformVersion();
  }

  static void initSdk(String env, String apiKey, String customerId,
      String firstName, String? middleName, String? lastName, String phone) {
    return FinBoxBureauPluginPlatform.instance.initSdk(
        env, apiKey, customerId, firstName, middleName, lastName, phone);
  }

  static void startBureauJourney() {
    return FinBoxBureauPluginPlatform.instance.startBureauJourney();
  }
}
